---
title: GlobalEventHandlers.onchange
slug: Web/API/GlobalEventHandlers/onchange
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <strong><code>onchange</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} for processing {{event("change")}} events.</p>

<p><code>change</code> events fire when the user commits a value change to a form control. This may be done, for example, by clicking outside of the control or by using the <kbd>Tab</kbd> key to switch to a different control.</p>

<div class="notecard note">
<p><strong>Note:</strong> Unlike {{domxref("GlobalEventHandlers.oninput", "oninput")}}, the <code>onchange</code> event handler is not necessarily called for each alteration to an element's <code>value</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em><var>target</var></em>.onchange = <em>functionRef</em>;
</pre>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives an {{domxref("Event")}} object as its sole argument.</p>

<h2 id="Example">Example</h2>

<p>This example logs the number of characters in an {{HtmlElement("input")}} element, every time you modify its contents and then change focus away from it.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;input type="text" placeholder="Type something here, then click outside of the field." size="50"&gt;
&lt;p id="log"&gt;&lt;/p&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">let input = document.querySelector('input');
let log = document.getElementById('log');

input.onchange = handleChange;

function handleChange(e) {
  log.textContent = `The field's value is
      ${e.target.value.length} character(s) long.`;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onchange','onchange')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.GlobalEventHandlers.onchange")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("change")}} event</li>
</ul>
